            #GIT_CMT=9d765417f270ef87dd0fa53db1335c556eed0d6a
%global PREFIX /usr/
%global BINDIR %{PREFIX}/bin
%global DOMAIN github.com
%global ORG kata-containers
%global PROJECT proxy
%global IMPORTNAME %{DOMAIN}/%{ORG}/%{PROJECT}

%if 0%{?suse_version}
%define LIBEXECDIR %{_libdir}
%else
%define LIBEXECDIR %{_libexecdir}
%endif

%undefine _missing_build_ids_terminate_build
Name:      kata-proxy
Version:   1.4.3
Release:    2.el7
#   0.20190304.gite52cde5
Source0: kata-proxy-1.4.3.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig(systemd)
BuildRequires: git
BuildRequires: golang >= 1.9.2
Summary  : Host communication proxy for Kata containers
Group    : Development/Tools
License  : Apache-2.0

#!BuildIgnore: post-build-checks


%description
This component of Kata containers implements host-side communication (I/O streams) with processes within containers through virtio serial interface exported by QEMU.

%global debug_package %{nil}
%define _unpackaged_files_terminate_build 0

%prep

%setup -q

%build
export GOPATH=$HOME/rpmbuild/BUILD/go/

mkdir -p $HOME/rpmbuild/BUILD/go/src/%{DOMAIN}/%{ORG}
ln -s %{_builddir}/%{name}-%{version} $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make

%clean
echo "Clean build root"
rm -rf %{buildroot}

%install
make install \
	DESTDIR=%{buildroot}

%files
%defattr(-,root,root,-)
%{LIBEXECDIR}/kata-containers
%{LIBEXECDIR}/kata-containers/kata-proxy
%changelog
* Mon Mar 11 2019 Honza <jan.koutny@oracle.com> - 1.4.3-2.el7
- Add missing description (Honza)

* Mon Mar 04 2019 build <ca_buildteam_grp@oracle.com> - 1.4.3-1.el7
- Add static buildrpm

